<?php
$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_ec438e08973b3716c60e39" . "3f66ef5e7b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2UgSUM" . "gcHJvamVjdA=="), "_565d7be99a" . "cb0b7627e48" . "da068eebbd6" => base64_decode("cmVxd" . "WlyZW" . "Q="), "_5a318eaa74da" . "0cc2a06bdb952" . "89fe81b" => base64_decode("Q2hvb3NlIHRoZS" . "Bzb3VyY2UgcHJv" . "amVjdA=="), "project_" . "id" => base64_decode("cHJvamVjdF9pZA" . "=="));





class HDReportWizardProject extends ReportWizardPage
{
    var $projects;
    
    
    
    
    
    function buildForm()
    {
        $values = array();
        $_4cfe17fc2516abcf039dd2848579d320 = new HDProjectsList();
        $_4cfe17fc2516abcf039dd2848579d320->setPermsChecking(HD_PERM_REPORTS);
        $_68680c984182bf7876b2bb0ab77ebe01 = $_4cfe17fc2516abcf039dd2848579d320->getList();
        foreach ($_68680c984182bf7876b2bb0ab77ebe01 as $project) {
            $values[$project->GetId()] = $project->GetName();
        }
        $this->projects = $values;
        $this->addElement(PAGE_ELEMENT_SELECT, $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["projec" . "t_id"], $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_5a318eaa74" . "da0cc2a06bd" . "b95289fe81b"], $values);
        $this->addRule($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["pro" . "jec" . "t_i" . "d"], $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_ec438e08973b3716c60e393f" . "66ef5e7b"], $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_565d7be99acb0b7627e48da068eeb" . "bd6"]);
        $this->_formBuilt = true;
    }
}